> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Smart

> POST /smart-lists

`POST /smart-lists`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json POST /smart-lists`


## OpenAPI

````yaml /openapi/crm.json POST /smart-lists
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /smart-lists:
    post:
      tags:
        - Smart Lists
      summary: Create Smart
      operationId: post_smart_lists
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                isFub2:
                  type: boolean
                shared:
                  type: boolean
                userId:
                  type: string
                conditions:
                  type: array
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        fld:
                          type: string
                        opr:
                          type: string
                        num:
                          anyOf:
                            - type: string
                          nullable: true
                        unit:
                          type: string
                        val:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: number
                      required:
                        - fld
                        - opr
                        - num
                        - unit
                        - val
                sortBy:
                  type: string
                columns:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      enabled:
                        type: boolean
                      width:
                        type: number
                    required:
                      - name
                      - enabled
                sharedWith:
                  type: object
                  properties:
                    userIds:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                    teamIds:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                  required:
                    - userIds
                    - teamIds
              required:
                - name
                - conditions
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                isFub2:
                  type: boolean
                shared:
                  type: boolean
                userId:
                  type: string
                conditions:
                  type: array
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        fld:
                          type: string
                        opr:
                          type: string
                        num:
                          anyOf:
                            - type: string
                          nullable: true
                        unit:
                          type: string
                        val:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: number
                      required:
                        - fld
                        - opr
                        - num
                        - unit
                        - val
                sortBy:
                  type: string
                columns:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      enabled:
                        type: boolean
                      width:
                        type: number
                    required:
                      - name
                      - enabled
                sharedWith:
                  type: object
                  properties:
                    userIds:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                    teamIds:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                  required:
                    - userIds
                    - teamIds
              required:
                - name
                - conditions
          text/plain:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                isFub2:
                  type: boolean
                shared:
                  type: boolean
                userId:
                  type: string
                conditions:
                  type: array
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        fld:
                          type: string
                        opr:
                          type: string
                        num:
                          anyOf:
                            - type: string
                          nullable: true
                        unit:
                          type: string
                        val:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: number
                      required:
                        - fld
                        - opr
                        - num
                        - unit
                        - val
                sortBy:
                  type: string
                columns:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      enabled:
                        type: boolean
                      width:
                        type: number
                    required:
                      - name
                      - enabled
                sharedWith:
                  type: object
                  properties:
                    userIds:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                    teamIds:
                      type: array
                      items:
                        anyOf:
                          - type: string
                          - type: number
                  required:
                    - userIds
                    - teamIds
              required:
                - name
                - conditions
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  isFub2:
                    type: boolean
                  shared:
                    type: boolean
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  conditions:
                    type: array
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          fld:
                            type: string
                          opr:
                            type: string
                          num:
                            anyOf:
                              - type: string
                            nullable: true
                          unit:
                            type: string
                          val:
                            type: array
                            items:
                              anyOf:
                                - type: string
                                - type: number
                        required:
                          - fld
                          - opr
                          - num
                          - unit
                          - val
                  sortBy:
                    type: string
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        enabled:
                          type: boolean
                        width:
                          type: number
                      required:
                        - name
                        - enabled
                  sharedWith:
                    type: object
                    properties:
                      userIds:
                        type: array
                        items:
                          anyOf:
                            - type: string
                            - type: number
                      teamIds:
                        type: array
                        items:
                          anyOf:
                            - type: string
                            - type: number
                    required:
                      - userIds
                      - teamIds
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - description
                  - isFub2
                  - shared
                  - userId
                  - conditions
                  - sortBy
                  - columns
                  - sharedWith
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  isFub2:
                    type: boolean
                  shared:
                    type: boolean
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  conditions:
                    type: array
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          fld:
                            type: string
                          opr:
                            type: string
                          num:
                            anyOf:
                              - type: string
                            nullable: true
                          unit:
                            type: string
                          val:
                            type: array
                            items:
                              anyOf:
                                - type: string
                                - type: number
                        required:
                          - fld
                          - opr
                          - num
                          - unit
                          - val
                  sortBy:
                    type: string
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        enabled:
                          type: boolean
                        width:
                          type: number
                      required:
                        - name
                        - enabled
                  sharedWith:
                    type: object
                    properties:
                      userIds:
                        type: array
                        items:
                          anyOf:
                            - type: string
                            - type: number
                      teamIds:
                        type: array
                        items:
                          anyOf:
                            - type: string
                            - type: number
                    required:
                      - userIds
                      - teamIds
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - description
                  - isFub2
                  - shared
                  - userId
                  - conditions
                  - sortBy
                  - columns
                  - sharedWith
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  isFub2:
                    type: boolean
                  shared:
                    type: boolean
                  userId:
                    anyOf:
                      - type: string
                    nullable: true
                  conditions:
                    type: array
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          fld:
                            type: string
                          opr:
                            type: string
                          num:
                            anyOf:
                              - type: string
                            nullable: true
                          unit:
                            type: string
                          val:
                            type: array
                            items:
                              anyOf:
                                - type: string
                                - type: number
                        required:
                          - fld
                          - opr
                          - num
                          - unit
                          - val
                  sortBy:
                    type: string
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        enabled:
                          type: boolean
                        width:
                          type: number
                      required:
                        - name
                        - enabled
                  sharedWith:
                    type: object
                    properties:
                      userIds:
                        type: array
                        items:
                          anyOf:
                            - type: string
                            - type: number
                      teamIds:
                        type: array
                        items:
                          anyOf:
                            - type: string
                            - type: number
                    required:
                      - userIds
                      - teamIds
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - description
                  - isFub2
                  - shared
                  - userId
                  - conditions
                  - sortBy
                  - columns
                  - sharedWith
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````